### Method

# Gtk FontDialog choose_font

since: 4.10

#### Declaration [src]

    void
    gtk_font_dialog_choose_font (
      GtkFontDialog* self,
      GtkWindow* parent,
      PangoFontDescription* initial_value,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function initiates a font selection operation by presenting a dialog to the user for selecting a font.

The `callback` will be called when the dialog is dismissed. It should call `gtk_font_dialog_choose_font_finish()` to obtain the result.

If you want to let the user select font features as well, use `gtk_font_dialog_choose_font_and_features()` instead.

Available since: 4.10

This method completes asynchronously. Use `gtk_font_dialog_choose_font_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent `GtkWindow`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`initial_value`

  Type: `PangoFontDescription`

  The font to select initially.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.